package com.engine.shkjsecond.service.impl;


import com.engine.core.impl.Service;
import com.engine.shkjsecond.entity.PersonnelResumePo;
import com.engine.shkjsecond.service.PersonnelResumeService;
import weaver.conn.RecordSet;
import weaver.general.Util;

import java.util.Map;

/**
 * @Author liang.cheng
 * @Date 2025/2/17 14:41
 * @Description:
 * @Version 1.0
 */

public class PersonnelResumeServiceImpl extends Service implements PersonnelResumeService {

    @Override
    public Map<String, Object> getResumeList(String resourceId) {
        return null;
    }

    @Override
    public PersonnelResumePo peopleMainInfo(String resourceId) {
        RecordSet rs = new RecordSet();
        rs.executeQuery("SELECT h.id, lastname, sex, birthday, resourceimageid, certificatenum, e.field43 as residence, " +
                " e.field44 as politicsStatus, e.field48 as nation, nativeplace, height, weight, maritalstatus, companystartdate, " +
                " b.jobtitlename AS jobTitle, a.departmentname as department, c.name as educationlevel, e.field38 as graduateSchool, " +
                " e.field39 as major, d.name as jobcall, e.field40 as address, mobile, email, e.field41 as emergencyContact, " +
                " e.field45 as relationship, e.field46 as eContactMobile FROM hrmresource h " +
                " LEFT JOIN hrmdepartment a ON a.id = h.departmentid LEFT JOIN hrmjobtitles b ON b.id = h.jobtitle " +
                " LEFT JOIN hrmeducationlevel c on c.id = h.educationlevel LEFT JOIN hrmjobcall d on d.id = h.jobcall " +
                " LEFT JOIN cus_fielddata e on e.id = h.id and scopeid = 1 and scope = 'HrmCustomFieldByInfoType' where h.id = ?",resourceId);
        PersonnelResumePo personnelResumePo = PersonnelResumePo.builder().build();
        if (rs.next()) {
            personnelResumePo.setLastName(Util.null2String(rs.getString("lastname")));
            personnelResumePo.setSex(Util.null2String(rs.getString("sex")));
            personnelResumePo.setBirthday(Util.null2String(rs.getString("birthday")));
            personnelResumePo.setResourceImageId(Util.null2String(rs.getString("resourceimageid")));
            personnelResumePo.setCertificatenum(Util.null2String(rs.getString("certificatenum")));
            personnelResumePo.setResidence(Util.null2String(rs.getString("sex")));
            personnelResumePo.setSex(Util.null2String(rs.getString("sex")));
            personnelResumePo.setSex(Util.null2String(rs.getString("sex")));
            personnelResumePo.setSex(Util.null2String(rs.getString("sex")));
            personnelResumePo.setSex(Util.null2String(rs.getString("sex")));
            personnelResumePo.setSex(Util.null2String(rs.getString("sex")));
            personnelResumePo.setSex(Util.null2String(rs.getString("sex")));
            personnelResumePo.setSex(Util.null2String(rs.getString("sex")));
            personnelResumePo.setSex(Util.null2String(rs.getString("sex")));
            personnelResumePo.setSex(Util.null2String(rs.getString("sex")));
            personnelResumePo.setSex(Util.null2String(rs.getString("sex")));
            personnelResumePo.setSex(Util.null2String(rs.getString("sex")));
            personnelResumePo.setSex(Util.null2String(rs.getString("sex")));
            personnelResumePo.setSex(Util.null2String(rs.getString("sex")));
            personnelResumePo.setSex(Util.null2String(rs.getString("sex")));
            personnelResumePo.setSex(Util.null2String(rs.getString("sex")));
            personnelResumePo.setSex(Util.null2String(rs.getString("sex")));
            personnelResumePo.setSex(Util.null2String(rs.getString("sex")));


            //personnelResumePo.setLastName(Util.formatMultiLang());
        }


        return personnelResumePo;
    }
}
